<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/rl_main_bg">


    <com.tencent.trtc.CustomVideoView
        android:id="@+id/trtc_view_0"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginBottom="72dp" />

    <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="60dp">


        <ImageView
                android:id="@+id/iv_back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginTop="15dp"
                android:background="@mipmap/common_ic_back" />

        <TextView
                android:id="@+id/tv_room_number"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginTop="15dp"
                android:gravity="center_horizontal"
                android:text="1111"
                android:textColor="@android:color/white"
                android:textSize="20sp"
                android:visibility="invisible" />

    </LinearLayout>


    <com.tencent.trtc.CustomVideoView
        android:id="@+id/trtc_view_1"
        android:layout_width="90dp"
        android:layout_height="160dp"
        android:layout_alignParentRight="true"
        android:layout_marginTop="70dp"
        android:layout_marginRight="15dp" />

    <com.tencent.trtc.CustomVideoView
        android:id="@+id/trtc_view_2"
        android:layout_width="90dp"
        android:layout_height="160dp"
        android:layout_below="@id/trtc_view_1"
        android:layout_alignParentRight="true"
        android:layout_marginRight="15dp"
        android:layout_marginTop="10dp"/>

    <com.tencent.trtc.CustomVideoView
        android:id="@+id/trtc_view_3"
        android:layout_width="90dp"
        android:layout_height="160dp"
        android:layout_below="@id/trtc_view_2"
        android:layout_alignParentRight="true"
        android:layout_marginTop="10dp"
        android:layout_marginRight="15dp" />


    <com.tencent.trtc.CustomVideoView
        android:id="@+id/trtc_view_4"
        android:layout_width="90dp"
        android:layout_height="160dp"
        android:layout_alignParentLeft="true"
        android:layout_alignTop="@+id/trtc_view_3"
        android:layout_marginLeft="15dp"/>


    <com.tencent.trtc.CustomVideoView
        android:id="@+id/trtc_view_5"
        android:layout_width="90dp"
        android:layout_height="160dp"
        android:layout_alignParentLeft="true"
        android:layout_alignTop="@+id/trtc_view_2"
        android:layout_marginLeft="15dp"/>


    <com.tencent.trtc.CustomVideoView
        android:id="@+id/trtc_view_6"
        android:layout_width="90dp"
        android:layout_height="160dp"
        android:layout_alignParentLeft="true"
        android:layout_alignTop="@+id/trtc_view_1"
        android:layout_marginLeft="15dp"/>


    <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:layout_marginBottom="20dp"
            android:orientation="vertical">

        <LinearLayout
                android:id="@+id/ll_controller"
                android:layout_width="300dp"
                android:layout_height="match_parent"
                android:orientation="horizontal"
                android:visibility="visible">

        </LinearLayout>
        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="horizontal"
                android:visibility="visible">

            <ImageView
                    android:id="@+id/btn_mute_audio"
                    android:layout_width="40dp"
                    android:layout_height="20dp"
                    android:src="@mipmap/mac_off"
                    android:layout_weight="1" />

            <ImageView
                    android:id="@+id/btn_audio_route"
                    android:layout_width="40dp"
                    android:layout_height="20dp"
                    android:src="@mipmap/speaker"
                    android:layout_weight="1" />

            <ImageView
                    android:id="@+id/btn_switch_camera"
                    android:layout_width="40dp"
                    android:layout_height="20dp"
                    android:src="@mipmap/swap_camera"
                    android:layout_weight="1" />

            <ImageView
                    android:id="@+id/btn_mute_video"
                    android:layout_width="40dp"
                    android:layout_height="20dp"
                    android:src="@mipmap/view_close"
                    android:layout_weight="1" />
            <ImageView
                android:id="@+id/btn_rotation"
                android:layout_width="40dp"
                android:layout_height="20dp"
                android:src="@mipmap/rotation"
                android:visibility="gone"
                android:layout_weight="1" />

        </LinearLayout>
    </LinearLayout>
</RelativeLayout>
